| PUT | /RestApi/ab-testing |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | body | Guid | No | |
| Title | body | string | No | |
| Description | body | string | No | |
| StartDate | body | DateTime? | No | |
| StopDate | body | DateTime? | No | |
| Page | body | Guid | No | |
| SiteId | body | Guid | No | |
| Culture | body | string | No | |
| Variations | body | IEnumerable<VariationViewModel> | No | |
| Goals | body | IEnumerable<GoalViewModel> | No | |
| ReportUrl | body | string | No | |
| LastModified | body | DateTime | No | |
| Status | body | ABTestStatus | No | |
| Owner | body | string | No | |
| WinnerVariationId | body | Guid? | No | |
| SelectedVariationId | body | Guid? | No | |
| PageNodeErrorMessage | body | string | No | |
| WarningMessage | body | string | No | |
| ApiKey | body | string | No | |
| UserSegmentId | body | Guid? | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid? | No | |
| Name | form | string | No | |
| Distribution | form | int | No | |
| IsOriginal | form | bool | No | |
| Ordinal | form | int | No | |
| PageDataId | form | Guid? | No | |
| IsWinner | form | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid? | No | |
| GoalType | form | GoalType | No | |
| GoalNameResourceKey | form | string | No | |
| PredicateOperator | form | string | No | |
| ObjectId | form | string | No | |
| ObjectName | form | string | No | |
| ObjectCulture | form | string | No | |
| IsPrimary | form | bool | No | |
| Ordinal | form | int | No |
| NextPageView | |
| FormSubmission | |
| DecConversion |
| NotStarted | |
| Scheduled | |
| Active | |
| Stopped | |
| Ended |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | body | Guid | No | |
| Title | body | string | No | |
| Description | body | string | No | |
| StartDate | body | DateTime? | No | |
| StopDate | body | DateTime? | No | |
| Page | body | Guid | No | |
| SiteId | body | Guid | No | |
| Culture | body | string | No | |
| Variations | body | IEnumerable<VariationViewModel> | No | |
| Goals | body | IEnumerable<GoalViewModel> | No | |
| ReportUrl | body | string | No | |
| LastModified | body | DateTime | No | |
| Status | body | ABTestStatus | No | |
| Owner | body | string | No | |
| WinnerVariationId | body | Guid? | No | |
| SelectedVariationId | body | Guid? | No | |
| PageNodeErrorMessage | body | string | No | |
| WarningMessage | body | string | No | |
| ApiKey | body | string | No | |
| UserSegmentId | body | Guid? | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/ab-testing HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
Title: String,
Description: String,
StartDate: 0001-01-01,
StopDate: 0001-01-01,
Culture: String,
ReportUrl: String,
LastModified: 0001-01-01,
Status: NotStarted,
Owner: String,
WinnerVariationId: 00000000-0000-0000-0000-000000000000,
SelectedVariationId: 00000000-0000-0000-0000-000000000000,
PageNodeErrorMessage: String,
WarningMessage: String,
ApiKey: String,
UserSegmentId: 00000000-0000-0000-0000-000000000000
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Title: String,
Description: String,
StartDate: 0001-01-01,
StopDate: 0001-01-01,
Culture: String,
ReportUrl: String,
LastModified: 0001-01-01,
Status: NotStarted,
Owner: String,
WinnerVariationId: 00000000-0000-0000-0000-000000000000,
SelectedVariationId: 00000000-0000-0000-0000-000000000000,
PageNodeErrorMessage: String,
WarningMessage: String,
ApiKey: String,
UserSegmentId: 00000000-0000-0000-0000-000000000000
}